Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class XlsxStyleInfo

    java.lang.Object
      net.sf.jasperreports.engine.export.ooxml.XlsxStyleInfo

    public class XlsxStyleInfo

extends java.lang.Object

Version:
  $Id: BorderHelper.java 3135 2009-10-22 14:20:23Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected java.lang.String` | `backcolor`
`protected int` | `borderIndex`
`protected int` | `fontIndex`
`protected int` | `formatIndex`
`protected java.lang.String` | `horizontalAlign`
`protected boolean` | `isHidden`
`protected boolean` | `isLocked`
`protected boolean` | `isWrapText`
`protected java.lang.String` | `verticalAlign`

Constructor Summary
`XlsxStyleInfo(int formatIndex, int fontIndex, int borderIndex, JRExporterGridCell gridCell, boolean isWrapText, boolean isHidden, boolean isLocked)`

Method Summary
`java.lang.String` | `getId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### formatIndex

    protected int formatIndex

### fontIndex

    protected int fontIndex

### borderIndex

    protected int borderIndex

### backcolor

    protected java.lang.String backcolor

### horizontalAlign

    protected java.lang.String horizontalAlign

### verticalAlign

    protected java.lang.String verticalAlign

### isWrapText

    protected boolean isWrapText

### isHidden

    protected boolean isHidden

### isLocked

    protected boolean isLocked

Constructor Detail

### XlsxStyleInfo

    public XlsxStyleInfo(int formatIndex,
                         int fontIndex,
                         int borderIndex,
                         JRExporterGridCell gridCell,
                         boolean isWrapText,
                         boolean isHidden,
                         boolean isLocked)

Method Detail

### getId

    public java.lang.String getId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com